package main

import (
	"fmt"
)

type Binary uint64

func (i Binary) String() string {
	return "Fuck"
}

func (i Binary) Get() uint64 {
	return uint64(i)
}

func main() {

	var foo int = 5
	fmt.Println(foo, fmt.(foo))

	/*
		b := Binary(200)
		fmt.Println("Value %v, type %T\n", b, b)
		s := fmt.Stringer(b)
		fmt.Println(s)
	*/
}
